# curs_inch 3x

    curs_inch(3x)                                             curs_inch(3x)

## NAME

           inch,  winch,  mvinch,  mvwinch  -  get  a  character  and
           attributes from a curses window

## SYNOPSIS

           #include <curses.h>

           chtype inch(void);
           chtype winch(WINDOW *win);
           chtype mvinch(int y, int x);
           chtype mvwinch(WINDOW *win, int y, int x);

## DESCRIPTION

           These routines return the character, of  type  chtype,  at
           the   current  position  in  the  named  window.   If  any
           attributes are set for that  position,  their  values  are
           OR'ed  into  the  value  returned.   Constants  defined in
           <curses.h> can be used with the & (logical  AND)  operator
           to extract the character or attributes alone.

       Attributes
           The  following  bit-masks  may  be  AND-ed with characters
           returned by winch.

           A_CHARTEXT     Bit-mask to extract character
           A_ATTRIBUTES   Bit-mask to extract attributes
           A_COLOR        Bit-mask to extract color-pair field information

## NOTES

           Note that all of these routines may be macros.

## PORTABILITY

           These functions are described in the XSI Curses  standard,
           Issue 4.

## SEE ALSO

           curses(3x).

           Comparable  functions  in  the  wide-character  (ncursesw)
           library are described in curs_in_wch(3x).

                                                              curs_inch(3x)